    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.Principal

public interface Principal

This interface represents a principal. A principal can be an individual, a corporation, a program thread; anything which can have an identity. See the ACL white paper for more information.

See Also:
  Identity, Certificate, Acl, Group

##

equals(Object)
  Compares this principal to the specified object.
getName()
  Returns the name of this principal.
hashCode()
  Returns a hashcode for this principal.
toString()
  Returns a string representation of this principal.

##

equals

     public abstract boolean equals(Object another)

  Compares this principal to the specified object. Returns true if the object passed in matches the principal represented by the implementation of this interface.

  Parameters:
    another - the principal to compare with.
  Returns:
    true if the principal passed in is the same as that encapsulated by this principal, false otherwise.
  Overrides:
    equals in class Object

toString

     public abstract String toString()

  Returns a string representation of this principal.

  Returns:
    a string representation of this principal.
  Overrides:
    toString in class Object

hashCode

     public abstract int hashCode()

  Returns a hashcode for this principal.

  Returns:
    a hashcode for this principal.
  Overrides:
    hashCode in class Object

getName

     public abstract String getName()

  Returns the name of this principal.

  Returns:
    the name of this principal.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.